<dom-module id="sc-view">
    <template>
        <iron-signals on-iron-signal-move-image="drag"></iron-signals>
        <svg id="full"></svg>
    </template>

    <script>    

        Polymer({
            is:'sc-view',

            properties:{
                bg:String
            },

            attached: function() {
                var self = this
                this.img = new Image();
                this.img.src = this.bg;
                this.img.addEventListener("load",function(event) {
                    var height = this.naturalHeight;
                    var width = this.naturalWidth;
                    if (height > window.innerHeight) {
                        height = window.innerHeight;
                        width /= (this.naturalHeight/height);
                    }
                    self.ratio = width/window.innerWidth
                    self.view = new View(width,height,self.bg,"global",self.ratio);     
                })
            },

            listeners: {
                'track':'track',
                'down':'down'
            },

            down:function(event) {
                event.preventDefault();
            },

            track:function(event) {
                if (event.target.id == "frame") {
                    var x = this.view.moveFrame(event.detail.x);
                    this.fire('iron-signal',{
                        name:'move-container',
                        data:{
                            x:x,
                        }
                    })
                }
            },

            drag:function(event,detail) {
                event.preventDefault();
                this.view.scroll(detail.x,detail.frame);
            },

            createRect: function(event,detail) {
                event.preventDefault();
                this.view.createMiniRect(detail.x,detail.y,detail.id,detail.offset);
            },

            resizeRect: function(event,detail) {
                event.preventDefault();
                this.view.resizeMiniRect(detail.id,detail.x,detail.width)
            }
        })

    </script>
</dom-module>